| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | List of all members
Ogre::map< K, V, P > Struct Template Reference

`#include <OgrePrerequisites.h>`

## Public Types
typedef std::map< K, V, P >::const_iterator | const_iterator
typedef std::map< K, V, P >::iterator | iterator
typedef std::map< K, V, P > | type

## Member Typedef Documentation

## ◆ type

template<typename K , typename V , typename P = std::less<K>>

typedef std::map<K, V, P> Ogre::map< K, V, P >::type

## ◆ iterator

template<typename K , typename V , typename P = std::less<K>>

typedef std::map<K, V, P>::iterator Ogre::map< K, V, P >::iterator

## ◆ const_iterator

template<typename K , typename V , typename P = std::less<K>>

typedef std::map<K, V, P>::const_iterator Ogre::map< K, V, P >::const_iterator

The documentation for this struct was generated from the following file:

- OgrePrerequisites.h